Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.core.util
Class JsonParserDelegate

    java.lang.Object
      com.fasterxml.jackson.core.JsonParser
          com.fasterxml.jackson.core.util.JsonParserDelegate

All Implemented Interfaces:
  Versioned, Closeable

Direct Known Subclasses:
  JsonParserSequence

    public class JsonParserDelegate

extends JsonParser

Helper class that implements delegation pattern for `JsonParser`, to allow for simple overridability of basic parsing functionality. The idea is that any functionality to be modified can be simply overridden; and anything else will be delegated by default.

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonParser
`JsonParser.Feature, JsonParser.NumberType`

Field Summary
`protected JsonParser` | `delegate` Delegate object that method calls are delegated to.

Fields inherited from class com.fasterxml.jackson.core.JsonParser
`_features`

Constructor Summary
`JsonParserDelegate(JsonParser d)`

Method Summary
`boolean` | `canUseSchema(FormatSchema schema)` Method that can be used to verify that given schema can be used with this parser (using `JsonParser.setSchema(com.fasterxml.jackson.core.FormatSchema)`).
`void` | `clearCurrentToken()` Method called to "consume" the current token by effectively removing it so that `JsonParser.hasCurrentToken()` returns false, and `JsonParser.getCurrentToken()` null).
`void` | `close()` Closes the parser so that no further iteration or data access can be made; will also close the underlying input source if parser either owns the input source, or feature `JsonParser.Feature.AUTO_CLOSE_SOURCE` is enabled.
`JsonParser` | `disable(JsonParser.Feature f)` Method for disabling specified feature (check `JsonParser.Feature` for list of features)
`JsonParser` | `enable(JsonParser.Feature f)` Method for enabling specified parser feature (check `JsonParser.Feature` for list of features)
`BigInteger` | `getBigIntegerValue()` Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_INT` and it can not be used as a Java long primitive type due to its magnitude.
`byte[]` | `getBinaryValue(Base64Variant b64variant)` Method that can be used to read (and consume -- results may not be accessible using other methods after the call) base64-encoded binary data included in the current textual JSON value.
`boolean` | `getBooleanValue()` Convenience accessor that can be called when the current token is `JsonToken.VALUE_TRUE` or `JsonToken.VALUE_FALSE`.
`byte` | `getByteValue()` Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_INT` and it can be expressed as a value of Java byte primitive type.
`ObjectCodec` | `getCodec()` Accessor for `ObjectCodec` associated with this parser, if any.
`JsonLocation` | `getCurrentLocation()` Method that returns location of the last processed character; usually for error reporting purposes.
`String` | `getCurrentName()` Method that can be called to get the name associated with the current token: for `JsonToken.FIELD_NAME`s it will be the same as what `JsonParser.getText()` returns; for field values it will be preceding field name; and for others (array values, root-level values) null.
`JsonToken` | `getCurrentToken()` Accessor to find which token parser currently points to, if any; null will be returned if none.
`BigDecimal` | `getDecimalValue()` Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_FLOAT` or `JsonToken.VALUE_NUMBER_INT`.
`double` | `getDoubleValue()` Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_FLOAT` and it can be expressed as a Java double primitive type.
`Object` | `getEmbeddedObject()` Accessor that can be called if (and only if) the current token is `JsonToken.VALUE_EMBEDDED_OBJECT`.
`float` | `getFloatValue()` Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_FLOAT` and it can be expressed as a Java float primitive type.
`Object` | `getInputSource()` Method that can be used to get access to object that is used to access input being parsed; this is usually either `InputStream` or `Reader`, depending on what parser was constructed with.
`int` | `getIntValue()` Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_INT` and it can be expressed as a value of Java int primitive type.
`JsonToken` | `getLastClearedToken()` Method that can be called to get the last token that was cleared using `JsonParser.clearCurrentToken()`.
`long` | `getLongValue()` Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_INT` and it can be expressed as a Java long primitive type.
`JsonParser.NumberType` | `getNumberType()` If current token is of type `JsonToken.VALUE_NUMBER_INT` or `JsonToken.VALUE_NUMBER_FLOAT`, returns one of `JsonParser.NumberType` constants; otherwise returns null.
`Number` | `getNumberValue()` Generic number value accessor method that will work for all kinds of numeric values.
`JsonStreamContext` | `getParsingContext()` Method that can be used to access current parsing context reader is in.
`short` | `getShortValue()` Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_INT` and it can be expressed as a value of Java short primitive type.
`String` | `getText()` Method for accessing textual representation of the current token; if no current token (before first call to `JsonParser.nextToken()`, or after encountering end-of-input), returns null.
`char[]` | `getTextCharacters()` Method similar to `JsonParser.getText()`, but that will return underlying (unmodifiable) character array that contains textual value, instead of constructing a String object to contain this information.
`int` | `getTextLength()` Accessor used with `JsonParser.getTextCharacters()`, to know length of String stored in returned buffer.
`int` | `getTextOffset()` Accessor used with `JsonParser.getTextCharacters()`, to know offset of the first text content character within buffer.
`JsonLocation` | `getTokenLocation()` Method that return the starting location of the current token; that is, position of the first character from input that starts the current token.
`boolean` | `hasCurrentToken()` Method for checking whether parser currently points to a token (and data for that token is available).
`boolean` | `hasTextCharacters()` Method that can be used to determine whether calling of `JsonParser.getTextCharacters()` would be the most efficient way to access textual content for the event parser currently points to.
`boolean` | `isClosed()` Method that can be called to determine whether this parser is closed or not.
`boolean` | `isEnabled(JsonParser.Feature f)` Method for checking whether specified `JsonParser.Feature` is enabled.
`JsonToken` | `nextToken()` Main iteration method, which will advance stream enough to determine type of the next token, if any.
`JsonToken` | `nextValue()` Iteration method that will advance stream enough to determine type of the next token that is a value type (including JSON Array and Object start/end markers).
`void` | `overrideCurrentName(String name)` Method that can be used to change what is considered to be the current (field) name.
`void` | `setCodec(ObjectCodec c)` Setter that allows defining `ObjectCodec` associated with this parser, if any.
`void` | `setSchema(FormatSchema schema)` Method to call to make this parser use specified schema.
`JsonParser` | `skipChildren()` Method that will skip all child tokens of an array or object token that the parser currently points to, iff stream points to `JsonToken.START_OBJECT` or `JsonToken.START_ARRAY`.
`Version` | `version()` Accessor for getting version of the core package, given a parser instance.

Methods inherited from class com.fasterxml.jackson.core.JsonParser
`_constructError, configure, getBinaryValue, getSchema, getValueAsBoolean, getValueAsBoolean, getValueAsDouble, getValueAsDouble, getValueAsInt, getValueAsInt, getValueAsLong, getValueAsLong, isExpectedStartArrayToken, nextBooleanValue, nextFieldName, nextIntValue, nextLongValue, nextTextValue, readValueAs, readValueAs, readValueAsTree, readValuesAs, readValuesAs, releaseBuffered, releaseBuffered`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delegate

    protected JsonParser delegate

  Delegate object that method calls are delegated to.

Constructor Detail

### JsonParserDelegate

    public JsonParserDelegate(JsonParser d)

Method Detail

### setCodec

    public void setCodec(ObjectCodec c)

  Description copied from class: `JsonParser`
  Setter that allows defining `ObjectCodec` associated with this parser, if any. Codec is used by `JsonParser.readValueAs(Class)` method (and its variants).

  Specified by:
    `setCodec` in class `JsonParser`

### getCodec

    public ObjectCodec getCodec()

  Description copied from class: `JsonParser`
  Accessor for `ObjectCodec` associated with this parser, if any. Codec is used by `JsonParser.readValueAs(Class)` method (and its variants).

  Specified by:
    `getCodec` in class `JsonParser`

### enable

    public JsonParser enable(JsonParser.Feature f)

  Description copied from class: `JsonParser`
  Method for enabling specified parser feature (check `JsonParser.Feature` for list of features)

  Overrides:
    `enable` in class `JsonParser`

### disable

    public JsonParser disable(JsonParser.Feature f)

  Description copied from class: `JsonParser`
  Method for disabling specified feature (check `JsonParser.Feature` for list of features)

  Overrides:
    `disable` in class `JsonParser`

### isEnabled

    public boolean isEnabled(JsonParser.Feature f)

  Description copied from class: `JsonParser`
  Method for checking whether specified `JsonParser.Feature` is enabled.

  Overrides:
    `isEnabled` in class `JsonParser`

### setSchema

    public void setSchema(FormatSchema schema)

  Description copied from class: `JsonParser`
  Method to call to make this parser use specified schema. Method must be called before trying to parse any content, right after parser instance has been created. Note that not all parsers support schemas; and those that do usually only accept specific types of schemas: ones defined for data format parser can read.

  If parser does not support specified schema, `UnsupportedOperationException` is thrown.

  Overrides:
    `setSchema` in class `JsonParser`
  Parameters:
    `schema` - Schema to use

### canUseSchema

    public boolean canUseSchema(FormatSchema schema)

  Description copied from class: `JsonParser`
  Method that can be used to verify that given schema can be used with this parser (using `JsonParser.setSchema(com.fasterxml.jackson.core.FormatSchema)`).

  Overrides:
    `canUseSchema` in class `JsonParser`
  Parameters:
    `schema` - Schema to check
  Returns:
    True if this parser can use given schema; false if not

### version

    public Version version()

  Description copied from class: `JsonParser`
  Accessor for getting version of the core package, given a parser instance. Left for sub-classes to implement.

  Specified by:
    `version` in interface `Versioned`
  Specified by:
    `version` in class `JsonParser`

### getInputSource

    public Object getInputSource()

  Description copied from class: `JsonParser`
  Method that can be used to get access to object that is used to access input being parsed; this is usually either `InputStream` or `Reader`, depending on what parser was constructed with. Note that returned value may be null in some cases; including case where parser implementation does not want to exposed raw source to caller. In cases where input has been decorated, object returned here is the decorated version; this allows some level of interaction between users of parser and decorator object.

  In general use of this accessor should be considered as "last effort", i.e. only used if no other mechanism is applicable.

  Overrides:
    `getInputSource` in class `JsonParser`

### close

    public void close()
               throws IOException

  Description copied from class: `JsonParser`
  Closes the parser so that no further iteration or data access can be made; will also close the underlying input source if parser either owns the input source, or feature `JsonParser.Feature.AUTO_CLOSE_SOURCE` is enabled. Whether parser owns the input source depends on factory method that was used to construct instance (so check `JsonFactory` for details, but the general idea is that if caller passes in closable resource (such as `InputStream` or `Reader`) parser does NOT own the source; but if it passes a reference (such as `File` or `URL` and creates stream or reader it does own them.

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `JsonParser`
  Throws:
    `IOException`

### isClosed

    public boolean isClosed()

  Description copied from class: `JsonParser`
  Method that can be called to determine whether this parser is closed or not. If it is closed, no new tokens can be retrieved by calling `JsonParser.nextToken()` (and the underlying stream may be closed). Closing may be due to an explicit call to `JsonParser.close()` or because parser has encountered end of input.

  Specified by:
    `isClosed` in class `JsonParser`

### getCurrentToken

    public JsonToken getCurrentToken()

  Description copied from class: `JsonParser`
  Accessor to find which token parser currently points to, if any; null will be returned if none. If return value is non-null, data associated with the token is available via other accessor methods.

  Specified by:
    `getCurrentToken` in class `JsonParser`
  Returns:
    Type of the token this parser currently points to, if any: null before any tokens have been read, and after end-of-input has been encountered, as well as if the current token has been explicitly cleared.

### hasCurrentToken

    public boolean hasCurrentToken()

  Description copied from class: `JsonParser`
  Method for checking whether parser currently points to a token (and data for that token is available). Equivalent to check for `parser.getCurrentToken() != null`.

  Specified by:
    `hasCurrentToken` in class `JsonParser`
  Returns:
    True if the parser just returned a valid token via `JsonParser.nextToken()`; false otherwise (parser was just constructed, encountered end-of-input and returned null from `JsonParser.nextToken()`, or the token has been consumed)

### getCurrentName

    public String getCurrentName()
                          throws IOException,
                                 JsonParseException

  Description copied from class: `JsonParser`
  Method that can be called to get the name associated with the current token: for `JsonToken.FIELD_NAME`s it will be the same as what `JsonParser.getText()` returns; for field values it will be preceding field name; and for others (array values, root-level values) null.

  Specified by:
    `getCurrentName` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### getCurrentLocation

    public JsonLocation getCurrentLocation()

  Description copied from class: `JsonParser`
  Method that returns location of the last processed character; usually for error reporting purposes.

  Specified by:
    `getCurrentLocation` in class `JsonParser`

### getParsingContext

    public JsonStreamContext getParsingContext()

  Description copied from class: `JsonParser`
  Method that can be used to access current parsing context reader is in. There are 3 different types: root, array and object contexts, with slightly different available information. Contexts are hierarchically nested, and can be used for example for figuring out part of the input document that correspond to specific array or object (for highlighting purposes, or error reporting). Contexts can also be used for simple xpath-like matching of input, if so desired.

  Specified by:
    `getParsingContext` in class `JsonParser`

### clearCurrentToken

    public void clearCurrentToken()

  Description copied from class: `JsonParser`
  Method called to "consume" the current token by effectively removing it so that `JsonParser.hasCurrentToken()` returns false, and `JsonParser.getCurrentToken()` null). Cleared token value can still be accessed by calling `JsonParser.getLastClearedToken()` (if absolutely needed), but usually isn't.

  Method was added to be used by the optional data binder, since it has to be able to consume last token used for binding (so that it will not be used again).

  Specified by:
    `clearCurrentToken` in class `JsonParser`

### getLastClearedToken

    public JsonToken getLastClearedToken()

  Description copied from class: `JsonParser`
  Method that can be called to get the last token that was cleared using `JsonParser.clearCurrentToken()`. This is not necessarily the latest token read. Will return null if no tokens have been cleared, or if parser has been closed.

  Specified by:
    `getLastClearedToken` in class `JsonParser`

### overrideCurrentName

    public void overrideCurrentName(String name)

  Description copied from class: `JsonParser`
  Method that can be used to change what is considered to be the current (field) name. May be needed to support non-JSON data formats or unusual binding conventions; not needed for typical processing.

  Note that use of this method should only be done as sort of last resort, as it is a work-around for regular operation.

  Specified by:
    `overrideCurrentName` in class `JsonParser`
  Parameters:
    `name` - Name to use as the current name; may be null.

### getText

    public String getText()
                   throws IOException,
                          JsonParseException

  Description copied from class: `JsonParser`
  Method for accessing textual representation of the current token; if no current token (before first call to `JsonParser.nextToken()`, or after encountering end-of-input), returns null. Method can be called for any token type.

  Specified by:
    `getText` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### hasTextCharacters

    public boolean hasTextCharacters()

  Description copied from class: `JsonParser`
  Method that can be used to determine whether calling of `JsonParser.getTextCharacters()` would be the most efficient way to access textual content for the event parser currently points to.

  Default implementation simply returns false since only actual implementation class has knowledge of its internal buffering state. Implementations are strongly encouraged to properly override this method, to allow efficient copying of content by other code.

  Specified by:
    `hasTextCharacters` in class `JsonParser`
  Returns:
    True if parser currently has character array that can be efficiently returned via `JsonParser.getTextCharacters()`; false means that it may or may not exist

### getTextCharacters

    public char[] getTextCharacters()
                             throws IOException,
                                    JsonParseException

  Description copied from class: `JsonParser`
  Method similar to `JsonParser.getText()`, but that will return underlying (unmodifiable) character array that contains textual value, instead of constructing a String object to contain this information. Note, however, that:
  - Textual contents are not guaranteed to start at index 0 (rather, call `JsonParser.getTextOffset()`) to know the actual offset
  - Length of textual contents may be less than the length of returned buffer: call `JsonParser.getTextLength()` for actual length of returned content.

  Note that caller MUST NOT modify the returned character array in any way -- doing so may corrupt current parser state and render parser instance useless.

  The only reason to call this method (over `JsonParser.getText()`) is to avoid construction of a String object (which will make a copy of contents).

  Specified by:
    `getTextCharacters` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### getTextLength

    public int getTextLength()
                      throws IOException,
                             JsonParseException

  Description copied from class: `JsonParser`
  Accessor used with `JsonParser.getTextCharacters()`, to know length of String stored in returned buffer.

  Specified by:
    `getTextLength` in class `JsonParser`
  Returns:
    Number of characters within buffer returned by `JsonParser.getTextCharacters()` that are part of textual content of the current token.
  Throws:
    `IOException`
    `JsonParseException`

### getTextOffset

    public int getTextOffset()
                      throws IOException,
                             JsonParseException

  Description copied from class: `JsonParser`
  Accessor used with `JsonParser.getTextCharacters()`, to know offset of the first text content character within buffer.

  Specified by:
    `getTextOffset` in class `JsonParser`
  Returns:
    Offset of the first character within buffer returned by `JsonParser.getTextCharacters()` that is part of textual content of the current token.
  Throws:
    `IOException`
    `JsonParseException`

### getBigIntegerValue

    public BigInteger getBigIntegerValue()
                                  throws IOException,
                                         JsonParseException

  Description copied from class: `JsonParser`
  Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_INT` and it can not be used as a Java long primitive type due to its magnitude. It can also be called for `JsonToken.VALUE_NUMBER_FLOAT`; if so, it is equivalent to calling `JsonParser.getDecimalValue()` and then constructing a `BigInteger` from that value.

  Specified by:
    `getBigIntegerValue` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### getBooleanValue

    public boolean getBooleanValue()
                            throws IOException,
                                   JsonParseException

  Description copied from class: `JsonParser`
  Convenience accessor that can be called when the current token is `JsonToken.VALUE_TRUE` or `JsonToken.VALUE_FALSE`.

  Note: if the token is not of above-mentioned boolean types, an integer, but its value falls outside of range of Java long, a `JsonParseException` may be thrown to indicate numeric overflow/underflow.

  Overrides:
    `getBooleanValue` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### getByteValue

    public byte getByteValue()
                      throws IOException,
                             JsonParseException

  Description copied from class: `JsonParser`
  Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_INT` and it can be expressed as a value of Java byte primitive type. It can also be called for `JsonToken.VALUE_NUMBER_FLOAT`; if so, it is equivalent to calling `JsonParser.getDoubleValue()` and then casting; except for possible overflow/underflow exception.

  Note: if the resulting integer value falls outside range of Java byte, a `JsonParseException` will be thrown to indicate numeric overflow/underflow.

  Overrides:
    `getByteValue` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### getShortValue

    public short getShortValue()
                        throws IOException,
                               JsonParseException

  Description copied from class: `JsonParser`
  Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_INT` and it can be expressed as a value of Java short primitive type. It can also be called for `JsonToken.VALUE_NUMBER_FLOAT`; if so, it is equivalent to calling `JsonParser.getDoubleValue()` and then casting; except for possible overflow/underflow exception.

  Note: if the resulting integer value falls outside range of Java short, a `JsonParseException` will be thrown to indicate numeric overflow/underflow.

  Overrides:
    `getShortValue` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### getDecimalValue

    public BigDecimal getDecimalValue()
                               throws IOException,
                                      JsonParseException

  Description copied from class: `JsonParser`
  Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_FLOAT` or `JsonToken.VALUE_NUMBER_INT`. No under/overflow exceptions are ever thrown.

  Specified by:
    `getDecimalValue` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### getDoubleValue

    public double getDoubleValue()
                          throws IOException,
                                 JsonParseException

  Description copied from class: `JsonParser`
  Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_FLOAT` and it can be expressed as a Java double primitive type. It can also be called for `JsonToken.VALUE_NUMBER_INT`; if so, it is equivalent to calling `JsonParser.getLongValue()` and then casting; except for possible overflow/underflow exception.

  Note: if the value falls outside of range of Java double, a `JsonParseException` will be thrown to indicate numeric overflow/underflow.

  Specified by:
    `getDoubleValue` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### getFloatValue

    public float getFloatValue()
                        throws IOException,
                               JsonParseException

  Description copied from class: `JsonParser`
  Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_FLOAT` and it can be expressed as a Java float primitive type. It can also be called for `JsonToken.VALUE_NUMBER_INT`; if so, it is equivalent to calling `JsonParser.getLongValue()` and then casting; except for possible overflow/underflow exception.

  Note: if the value falls outside of range of Java float, a `JsonParseException` will be thrown to indicate numeric overflow/underflow.

  Specified by:
    `getFloatValue` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### getIntValue

    public int getIntValue()
                    throws IOException,
                           JsonParseException

  Description copied from class: `JsonParser`
  Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_INT` and it can be expressed as a value of Java int primitive type. It can also be called for `JsonToken.VALUE_NUMBER_FLOAT`; if so, it is equivalent to calling `JsonParser.getDoubleValue()` and then casting; except for possible overflow/underflow exception.

  Note: if the resulting integer value falls outside range of Java int, a `JsonParseException` may be thrown to indicate numeric overflow/underflow.

  Specified by:
    `getIntValue` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### getLongValue

    public long getLongValue()
                      throws IOException,
                             JsonParseException

  Description copied from class: `JsonParser`
  Numeric accessor that can be called when the current token is of type `JsonToken.VALUE_NUMBER_INT` and it can be expressed as a Java long primitive type. It can also be called for `JsonToken.VALUE_NUMBER_FLOAT`; if so, it is equivalent to calling `JsonParser.getDoubleValue()` and then casting to int; except for possible overflow/underflow exception.

  Note: if the token is an integer, but its value falls outside of range of Java long, a `JsonParseException` may be thrown to indicate numeric overflow/underflow.

  Specified by:
    `getLongValue` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### getNumberType

    public JsonParser.NumberType getNumberType()
                                        throws IOException,
                                               JsonParseException

  Description copied from class: `JsonParser`
  If current token is of type `JsonToken.VALUE_NUMBER_INT` or `JsonToken.VALUE_NUMBER_FLOAT`, returns one of `JsonParser.NumberType` constants; otherwise returns null.

  Specified by:
    `getNumberType` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### getNumberValue

    public Number getNumberValue()
                          throws IOException,
                                 JsonParseException

  Description copied from class: `JsonParser`
  Generic number value accessor method that will work for all kinds of numeric values. It will return the optimal (simplest/smallest possible) wrapper object that can express the numeric value just parsed.

  Specified by:
    `getNumberValue` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### getEmbeddedObject

    public Object getEmbeddedObject()
                             throws IOException,
                                    JsonParseException

  Description copied from class: `JsonParser`
  Accessor that can be called if (and only if) the current token is `JsonToken.VALUE_EMBEDDED_OBJECT`. For other token types, null is returned.

  Note: only some specialized parser implementations support embedding of objects (usually ones that are facades on top of non-streaming sources, such as object trees).

  Specified by:
    `getEmbeddedObject` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

### getBinaryValue

    public byte[] getBinaryValue(Base64Variant b64variant)
                          throws IOException,
                                 JsonParseException

  Description copied from class: `JsonParser`
  Method that can be used to read (and consume -- results may not be accessible using other methods after the call) base64-encoded binary data included in the current textual JSON value. It works similar to getting String value via `JsonParser.getText()` and decoding result (except for decoding part), but should be significantly more performant.

  Note that non-decoded textual contents of the current token are not guaranteed to be accessible after this method is called. Current implementation, for example, clears up textual content during decoding. Decoded binary content, however, will be retained until parser is advanced to the next event.

  Specified by:
    `getBinaryValue` in class `JsonParser`
  Parameters:
    `b64variant` - Expected variant of base64 encoded content (see `Base64Variants` for definitions of "standard" variants).
  Returns:
    Decoded binary data
  Throws:
    `IOException`
    `JsonParseException`

### getTokenLocation

    public JsonLocation getTokenLocation()

  Description copied from class: `JsonParser`
  Method that return the starting location of the current token; that is, position of the first character from input that starts the current token.

  Specified by:
    `getTokenLocation` in class `JsonParser`

### nextToken

    public JsonToken nextToken()
                        throws IOException,
                               JsonParseException

  Description copied from class: `JsonParser`
  Main iteration method, which will advance stream enough to determine type of the next token, if any. If none remaining (stream has no content other than possible white space before ending), null will be returned.

  Specified by:
    `nextToken` in class `JsonParser`
  Returns:
    Next token from the stream, if any found, or null to indicate end-of-input
  Throws:
    `IOException`
    `JsonParseException`

### nextValue

    public JsonToken nextValue()
                        throws IOException,
                               JsonParseException

  Description copied from class: `JsonParser`
  Iteration method that will advance stream enough to determine type of the next token that is a value type (including JSON Array and Object start/end markers). Or put another way, nextToken() will be called once, and if `JsonToken.FIELD_NAME` is returned, another time to get the value for the field. Method is most useful for iterating over value entries of JSON objects; field name will still be available by calling `JsonParser.getCurrentName()` when parser points to the value.

  Specified by:
    `nextValue` in class `JsonParser`
  Returns:
    Next non-field-name token from the stream, if any found, or null to indicate end-of-input (or, for non-blocking parsers, `JsonToken.NOT_AVAILABLE` if no tokens were available yet)
  Throws:
    `IOException`
    `JsonParseException`

### skipChildren

    public JsonParser skipChildren()
                            throws IOException,
                                   JsonParseException

  Description copied from class: `JsonParser`
  Method that will skip all child tokens of an array or object token that the parser currently points to, iff stream points to `JsonToken.START_OBJECT` or `JsonToken.START_ARRAY`. If not, it will do nothing. After skipping, stream will point to matching `JsonToken.END_OBJECT` or `JsonToken.END_ARRAY` (possibly skipping nested pairs of START/END OBJECT/ARRAY tokens as well as value tokens). The idea is that after calling this method, application will call `JsonParser.nextToken()` to point to the next available token, if any.

  Specified by:
    `skipChildren` in class `JsonParser`
  Throws:
    `IOException`
    `JsonParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.